Fedora Core 1 Update: vim-6.2.532-1
Posted on: 06/09/2004 12:22 PM

A vim update has been released for Fedora Core 1

---------------------------------------------------------------------
Fedora Update Notification
FEDORA-2004-147
2004-06-09
---------------------------------------------------------------------

Product : Fedora Core 1
Name : vim
Version : 6.2.532
Release : 1
Summary : The VIM editor.
Description :
VIM (VIsual editor iMproved) is an updated and improved version of the vi editor. Vi was the first real screen-based editor for UNIX, and is still very popular. VIM improves on vi by adding new features: multiple windows, multi-level undo, block highlighting and more.

---------------------------------------------------------------------
Update Information:

This update upgrades vim to the latest patchlevel which fixes a lot of minor issues described in README.patches. It also removes the dependency between vim-minimal and vim-common. Bugzilla entries fixed with this update: #123205,#110033
---------------------------------------------------------------------
* Tue Jun 01 2004 Karsten Hopp karsten@redhat.de 6.2.532-1

- patchlevel 532
- include vimrc in vim-minimal (#123205)
- add gvim icons (#110033)

* Wed Apr 07 2004 Karsten Hopp karsten@redhat.de 6.2.457-1

- patchlevel 457

* Fri Mar 26 2004 Karsten Hopp karsten@redhat.de 6.2.403-1

- patchlevel 403

* Thu Mar 18 2004 Karsten Hopp karsten@redhat.de 6.2.380-1

- patchlevel 380

* Mon Mar 08 2004 Karsten Hopp karsten@redhat.de 6.2.327-1

- patchlevel 327

* Wed Mar 03 2004 Karsten Hopp karsten@redhat.de 6.2.311-1

- patchlevel 311

* Mon Mar 01 2004 Karsten Hopp karsten@redhat.de 6.2.294-1

- patchlevel 294

* Fri Feb 13 2004 Elliot Lee sopwith@redhat.com

- rebuilt

* Wed Feb 11 2004 Karsten Hopp karsten@redhat.de 6.2.253-1

- patchlevel 253
- disable netbeans

* Thu Jan 29 2004 Karsten Hopp karsten@redhat.de 6.2.214-1

- Patchlevel 214

* Mon Jan 26 2004 Dan Walsh dwalsh@redhat.com 1:6.2.195-5

- Fix call to is_selinux_enabled()

* Sat Jan 24 2004 Karsten Hopp karsten@redhat.de 6.2.195-4

- fix perl requirement

* Fri Jan 23 2004 Dan Walsh dwalsh@redhat.com 1:6.2.195-3

- Only attempt to change context if it is different

* Thu Jan 22 2004 Karsten Hopp karsten@redhat.de 6.2.195-1

- update to patchlevel 195
- enable ppc64 build

* Mon Jan 12 2004 Karsten Hopp karsten@redhat.de 6.2.180-2

- vim-enhanced requires perl >= 5.8.2 (#111592)

* Mon Jan 12 2004 Karsten Hopp karsten@redhat.de 6.2.180-1

- Patchlevel 180
- update spec.vim, use g :packager instead of {Packager} macro

* Tue Jan 06 2004 Dan Walsh dwalsh@redhat.com 1:6.2.154-7

- Enable selinux support for vim-minimal

* Wed Dec 17 2003 Dan Walsh dwalsh@redhat.com 1:6.2.154-6

- Enable selinux support

* Thu Dec 04 2003 Karsten Hopp karsten@redhat.de 1:6.2.154-5

- rebuild with new perl

* Wed Dec 03 2003 Karsten Hopp karsten@redhat.de 1:6.2.154-4

- fix sh.vim syntax file (#104312)

* Tue Dec 02 2003 Karsten Hopp karsten@redhat.de 1:6.2.154-3

- perl interface was disabled when perl had thread support.

* Thu Nov 27 2003 Karsten Hopp karsten@redhat.de 1:6.2.154-2

- fix date in specfile changelog entries

* Thu Nov 13 2003 Karsten Hopp karsten@redhat.de 1:6.2.154-1

- Patchlevel 154
- vim-minimal doesn't really require vim-common to run, removed dependency
(#109819)

* Mon Nov 10 2003 Karsten Hopp karsten@redhat.de 1:6.2.149-1

- Patchlevel 149
- fix fstab syntax file (Robert G. (Doc) Savage)
- lots of updates for syntax files, macros, documentation
- disable vimnotvi patch so that vim's behaviour matches documentation
- clean up vimrc

* Thu Nov 06 2003 Karsten Hopp karsten@redhat.de 1:6.2.145-1

- rebuild with new Python
- Patchlevel 145


---------------------------------------------------------------------
This update can be downloaded from:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/

a1cfa8066c6d4cba49a689e766bd5617 SRPMS/vim-6.2.532-1.src.rpm
b7f840c961ad6d94be0a6095e146b8dd i386/vim-common-6.2.532-1.i386.rpm
c1696f6e6434e4f23417adcfdb250546 i386/vim-minimal-6.2.532-1.i386.rpm
9ffc06d3e55f31b66b54c759f48f82b5 i386/vim-enhanced-6.2.532-1.i386.rpm
f387be955d5ce332dd6499a4a0a60030 i386/vim-X11-6.2.532-1.i386.rpm
dc0ff79e887a0c7c1808304deac23850 i386/debug/vim-debuginfo-6.2.532-1.i386.rpm
58fc482824ff923fa2321e231d641c7a x86_64/vim-common-6.2.532-1.x86_64.rpm
91e9a3847658046029020d013b5fa1cd x86_64/vim-minimal-6.2.532-1.x86_64.rpm
a9611095549c680ccfab734d88350262 x86_64/vim-enhanced-6.2.532-1.x86_64.rpm
d37423f9b30ba4a077e225918d719352 x86_64/vim-X11-6.2.532-1.x86_64.rpm
d62a957e277b998015ecddb39935c729 x86_64/debug/vim-debuginfo-6.2.532-1.x86_64.rpm

This update can also be installed with the Update Agent; you can launch the Update Agent with the 'up2date' command.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/fedora_core_1_update_vim_62532_1.html)